Package org.eclipse.lemminx.uriresolver

## Class CacheResourceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.lemminx.uriresolver.CacheResourceException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CacheResourceDownloadedException`, `CacheResourceDownloadingException`, `InvalidURIException`

    public abstract class CacheResourceException
    extends RuntimeException

Base class for cache resource exception.

Author:
  Angelo ZERR
See Also:
  Serialized Form

### Constructor Summary

Constructors
`CacheResourceException​(String resourceURI, String message)`
`CacheResourceException​(String resourceURI, String message, Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getResourceURI()` Returns the resource URI which is downloading.
`boolean` `isDTD()` Returns true if it's a DTD which causes the exception and false otherwise.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheResourceException

    public CacheResourceException​(String resourceURI,
                                  String message)

#### CacheResourceException

    public CacheResourceException​(String resourceURI,
                                  String message,
                                  Throwable cause)

### Method Detail

#### getResourceURI

    public String getResourceURI()

Returns the resource URI which is downloading.

Returns:
  the resource URI which is downloading.

#### isDTD

    public boolean isDTD()

Returns true if it's a DTD which causes the exception and false otherwise.

Returns:
  true if it's a DTD which causes the exception and false otherwise.